#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QSqlDatabase>
#include <QPushButton>
#include <QListWidget>

class Widget : public QWidget
{
    Q_OBJECT
private:        
    QPushButton *m_pbtDelete;
    QPushButton *m_pbtMake;
    QPushButton *m_pbtSend;
    QListWidget	m_listResult;
private:
    void InsertLog(QString str);
public:
    Widget(QWidget *parent = 0);
    ~Widget();    


private slots:
    void DeleteButton();
    void MakeButton();
    void SendButton();
};

#endif // WIDGET_H
